Package org.drinkless.tdlib

# Class TdApi.SetLoginEmailAddress

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.EmailAddressAuthenticationCodeInfo>
org.drinkless.tdlib.TdApi.SetLoginEmailAddress

Enclosing class:
  `TdApi`

public static class TdApi.SetLoginEmailAddress extends TdApi.Function<TdApi.EmailAddressAuthenticationCodeInfo>
Changes the login email address of the user. The email address can be changed only if the current user already has login email and passwordState.loginEmailAddressPattern is non-empty, or the user received suggestedActionSetLoginEmailAddress and isLoginEmailAddressRequired succeeds. The change will not be applied until the new login email address is confirmed with checkLoginEmailAddressCode. To use Apple ID/Google ID instead of an email address, call checkLoginEmailAddressCode directly.

Returns `EmailAddressAuthenticationCodeInfo`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `newLoginEmailAddress`
  New login email address.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetLoginEmailAddress()`
  Default constructor for a function, which changes the login email address of the user.
  `SetLoginEmailAddress(String newLoginEmailAddress)`
  Creates a function, which changes the login email address of the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### newLoginEmailAddress

    public String newLoginEmailAddress
    New login email address.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetLoginEmailAddress

    public SetLoginEmailAddress()
    Default constructor for a function, which changes the login email address of the user. The email address can be changed only if the current user already has login email and passwordState.loginEmailAddressPattern is non-empty, or the user received suggestedActionSetLoginEmailAddress and isLoginEmailAddressRequired succeeds. The change will not be applied until the new login email address is confirmed with checkLoginEmailAddressCode. To use Apple ID/Google ID instead of an email address, call checkLoginEmailAddressCode directly.

    Returns `EmailAddressAuthenticationCodeInfo`

  - ### SetLoginEmailAddress

    public SetLoginEmailAddress(String newLoginEmailAddress)
    Creates a function, which changes the login email address of the user. The email address can be changed only if the current user already has login email and passwordState.loginEmailAddressPattern is non-empty, or the user received suggestedActionSetLoginEmailAddress and isLoginEmailAddressRequired succeeds. The change will not be applied until the new login email address is confirmed with checkLoginEmailAddressCode. To use Apple ID/Google ID instead of an email address, call checkLoginEmailAddressCode directly.

    Returns `EmailAddressAuthenticationCodeInfo`

    Parameters:
      `newLoginEmailAddress` - New login email address.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.EmailAddressAuthenticationCodeInfo>`
    Returns:
      this.CONSTRUCTOR